﻿using System;
using Xamarin.Forms;

namespace TelerikXamarin.Portable
{
    public partial class StartPage : ContentPage
    {
        private int tappedCount;

        public StartPage()
        {
            InitializeComponent();
        }

        protected override void OnAppearing()
        {
            base.OnAppearing();

            var tapGestureRecognizer = new TapGestureRecognizer();
            tapGestureRecognizer.Tapped += TapGestureRecognizer_Tapped;

            // Add the recognizer to the View's GestureRecognizers IList
            gauge.GestureRecognizers.Add(tapGestureRecognizer);
        }

        private void TapGestureRecognizer_Tapped(object sender, EventArgs e)
        {
            TappedCountLabel.Text = $"RadGauge tapped {tappedCount++} times...";
        }
    }
}